/**
* The head of the rows of floating point lists contains drawing and
* title information about a document as well as the document index
* @author Matthew Carey
*/
package vishnu.testvis.visual;

import vishnu.datablock.*;

public class Pnt2DTupleNode
{
    /** index of the document */
    public int index;
    /** start of linked list */
    public SparseNode row;
    /** cartesian floating point location */
    public Point2D pnt;
    /** raster integer locatoin */
    public Ipoint2D iPnt;
    /** drawn or not */
    public boolean state;
    /** document title */
    public String ref;
    /**
    * Constructor
    * @param cartesian x
    * @param cartesain y
    * @param index
    * @param linked list of data
    * @param title
    */
    Pnt2DTupleNode(float x, float y ,int i, SparseNode fn, String reference)
    {
        state = false;
        index = i;
        pnt = new Point2D(x,y);
        iPnt = new Ipoint2D(0,0);
        ref=reference;
        if (reference==null) ref = "Not defined";
        row=fn;
    }
}
